Template Numerical Library: TNL::Meshes::Writers::GnuplotWriter< Mesh > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Meshes::Writers::GnuplotWriter< Mesh > Class Template Reference

Writer of data linked with meshes into Gnuplot format. More...

`#include <TNL/Meshes/Writers/GnuplotWriter.h>`

Collaboration diagram for TNL::Meshes::Writers::GnuplotWriter< Mesh >:
[legend]

## Public Member Functions
| GnuplotWriter ()=delete
| Construct with no parameters is not allowed.
| GnuplotWriter (std::ostream &str)
| Constructor of a VTIWriter.
template<typename Array>
void | writeCellData (const Mesh &mesh, const Array &array, const std::string &name, int numberOfComponents=1)
| Writes data linked with mesh cells.
template<int EntityDimension = Mesh::getMeshDimension()>
void | writeEntities (const Mesh &mesh)
| This method is for compatinility with other writers.
void | writeHeader (const Mesh &mesh)
template<typename Array>
void | writePointData (const Mesh &mesh, const Array &array, const std::string &name, int numberOfComponents=1)
| Writes data linked with mesh vertices.

## Static Public Member Functions
template<typename Real>
static void | write (std::ostream &str, const Containers::StaticVector< 1, Real > &d)
template<typename Real>
static void | write (std::ostream &str, const Containers::StaticVector< 2, Real > &d)
template<typename Real>
static void | write (std::ostream &str, const Containers::StaticVector< 3, Real > &d)
template<typename Element>
static void | write (std::ostream &str, const Element &d)

## Protected Attributes
std::ostream & | str

## Detailed Description

template<typename Mesh>
class TNL::Meshes::Writers::GnuplotWriter< Mesh >

Writer of data linked with meshes into Gnuplot format.

Template Parameters

  Mesh | type of mesh.

## Constructor & Destructor Documentation

## ◆ GnuplotWriter()

template<typename Mesh>

TNL::Meshes::Writers::GnuplotWriter< Mesh >::GnuplotWriter | ( | std::ostream & | str | ) |

Constructor of a VTIWriter.

Parameters

  str | output stream used for the export of the data.

## Member Function Documentation

## ◆ writeCellData()

template<typename Mesh>
template<typename Array>

void TNL::Meshes::Writers::GnuplotWriter< Mesh >::writeCellData | ( | const Mesh & | mesh,
|  | const Array & | array,
|  | const std::string & | name,
|  | int | numberOfComponents = 1 )

Writes data linked with mesh cells.

Template Parameters

  Array | type of array holding the data.

Parameters

  mesh | instance of the mesh.
  array | instance of an array holding the data.
  name | is a name of data which will appear in the outptu file.
  numberOfComponents | is number of compononets of the data for each cell.

## ◆ writeEntities()

template<typename Mesh>
template<int EntityDimension = Mesh::getMeshDimension()>

void TNL::Meshes::Writers::GnuplotWriter< Mesh >::writeEntities | ( | const Mesh & | mesh | ) |

This method is for compatinility with other writers.

It just writes a header.

Template Parameters

  EntityDimension | is a dimension of entities to be exported.

Parameters

  mesh | is a mesh to be exported.

## ◆ writePointData()

template<typename Mesh>
template<typename Array>

void TNL::Meshes::Writers::GnuplotWriter< Mesh >::writePointData | ( | const Mesh & | mesh,
|  | const Array & | array,
|  | const std::string & | name,
|  | int | numberOfComponents = 1 )

Writes data linked with mesh vertices.

Template Parameters

  Array | type of array holding the data.

Parameters

  mesh | instance of the mesh.
  array | instance of an array holding the data.
  name | is a name of data which will appear in the outptu file.
  numberOfComponents | is number of compononets of the data for each vertex.

The documentation for this class was generated from the following file:

- src/TNL/Meshes/Writers/GnuplotWriter.h